Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class SchemaCreator

    java.lang.Object
      oracle.ifs.utils.action.AbstractAction
          oracle.ifs.admin.tools.schema.SchemaCreator

All Implemented Interfaces:
  Action, Substitutor

    public class SchemaCreator

extends AbstractAction
implements Substitutor

Nested Class Summary
`class` | `SchemaCreator.MyListener`

Field Summary
`static java.lang.String` | `ACTIONS_FILE`
`static java.lang.String` | `PROPERTIES_FILE`
`static int` | `SIGNIFICANT_SCHEMA_VERSION_COMPONENTS` The number of version components that will be considered significant in determining the schema version.
`static SymbolType` | `SYMBOL_TYPE`
`static java.lang.String` | `UPGRADE_MODE`
`static int` | `UPGRADE_MODE_CONTINUOUS`
`static int` | `UPGRADE_MODE_REDO`
`static int` | `UPGRADE_TASK_START_VALUE` The starting value that will be used to keep track of upgrade tasks that have been attempted.
`static int` | `UPGRADE_TASK_VERSION_COMPONENT` The version components that will be used to determine the current task.

Fields inherited from class oracle.ifs.utils.action.AbstractAction
`CONTINUE_ON_ERROR, m_defaultOptions, m_options`

Constructor Summary
`SchemaCreator(java.util.Hashtable settings, java.util.Hashtable directories, java.lang.String actionsFile, java.lang.String actionName, java.lang.String actionDescription)`
`SchemaCreator(java.util.Hashtable settings, java.util.Hashtable directories, java.lang.String actionsFile, java.lang.String actionName, java.lang.String actionDescription, boolean isUpgrade)`
`SchemaCreator(java.lang.String[] args)`

Method Summary
`void` | `addListener(SchemaCreatorListener l)`
`void` | `dropUpgStatusTableFromSchema()`
`void` | `failed(java.lang.Throwable t)` Invoked if this Action has failed.
`protected void` | `fillIfsParameters()` Set Database URL and iFS CM schema name and password.
`protected void` | `fireListenersForActionFinished(Action action)`
`static void` | `main(java.lang.String[] args)`
`void` | `perform()` Performs this Action.
`void` | `performUpgrade()`
`void` | `removeListener(SchemaCreatorListener l)`
`void` | `runFromCmdLine()`
`void` | `stop()` Stops this Action.
`java.lang.String` | `substitute(java.lang.String value)` Subsitutes the parameter value with the returned value.

Methods inherited from class oracle.ifs.utils.action.AbstractAction
`getDescription, getName, getValue, isContinueOnError, putValue, setDefaultOptions, setDescription, setName, setOptions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYMBOL_TYPE

    public static final SymbolType SYMBOL_TYPE

### ACTIONS_FILE

    public static final java.lang.String ACTIONS_FILE

See Also:
  Constant Field Values

### PROPERTIES_FILE

    public static final java.lang.String PROPERTIES_FILE

See Also:
  Constant Field Values

### UPGRADE_MODE

    public static final java.lang.String UPGRADE_MODE

See Also:
  Constant Field Values

### UPGRADE_MODE_REDO

    public static final int UPGRADE_MODE_REDO

See Also:
  Constant Field Values

### UPGRADE_MODE_CONTINUOUS

    public static final int UPGRADE_MODE_CONTINUOUS

See Also:
  Constant Field Values

### UPGRADE_TASK_VERSION_COMPONENT

    public static final int UPGRADE_TASK_VERSION_COMPONENT

  Description copied from class: `SchemaCreator`
  The version components that will be used to determine the current task. Currently defined as 5.

  See Also:
    Constant Field Values

### UPGRADE_TASK_START_VALUE

    public static final int UPGRADE_TASK_START_VALUE

  Description copied from class: `SchemaCreator`
  The starting value that will be used to keep track of upgrade tasks that have been attempted. Defined as `50`; the maximum task number is `99`.

  See Also:
    Constant Field Values

### SIGNIFICANT_SCHEMA_VERSION_COMPONENTS

    public static final int SIGNIFICANT_SCHEMA_VERSION_COMPONENTS

  Description copied from class: `SchemaCreator`
  The number of version components that will be considered significant in determining the schema version. Currently defined as 4.

  See Also:
    Constant Field Values

Constructor Detail

### SchemaCreator

    public SchemaCreator(java.lang.String[] args)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

### SchemaCreator

    public SchemaCreator(java.util.Hashtable settings,
                         java.util.Hashtable directories,
                         java.lang.String actionsFile,
                         java.lang.String actionName,
                         java.lang.String actionDescription)

### SchemaCreator

    public SchemaCreator(java.util.Hashtable settings,
                         java.util.Hashtable directories,
                         java.lang.String actionsFile,
                         java.lang.String actionName,
                         java.lang.String actionDescription,
                         boolean isUpgrade)
                  throws ActionFailedException

Throws:
  `ActionFailedException`

Method Detail

### fillIfsParameters

    protected void fillIfsParameters()
                              throws java.lang.Exception

  Description copied from class: `SchemaCreator`
  Set Database URL and iFS CM schema name and password.

  Throws:
    `java.lang.Exception`

### perform

    public void perform()
                 throws ActionFailedException

  Description copied from interface: `Action`
  Performs this Action.

  Specified by:
    `perform` in interface `Action`
  Throws:
    `ActionFailedException` - if the action could not be performed.

### performUpgrade

    public void performUpgrade()
                        throws ActionFailedException

  Throws:
    `ActionFailedException`

### dropUpgStatusTableFromSchema

    public void dropUpgStatusTableFromSchema()
                                      throws ActionFailedException

  Throws:
    `ActionFailedException`

### stop

    public void stop()

  Description copied from interface: `Action`
  Stops this Action. Invoking this method should ensure that the call to `perform` will return as soon as possible. This method should do nothing if this Action has already been stopped.

  This method will probably be invoked from within the Thread that created the ActionQueue that this Action is being executed in, rather than from within the Thread that is invoking the `perform` method (the ActionQueue's Action processing Thread). Because of this, clients implementing this interface should provide a way of canceling what is happening in the `perform` method when this `stop` method is invoked.

  Note: this is especially important when the `perform` method executes a tight loop or creates new Threads.

  Specified by:
    `stop` in interface `Action`

### failed

    public void failed(java.lang.Throwable t)

  Description copied from interface: `Action`
  Invoked if this Action has failed. If an exception is caught by the ActionQueue that is executing this Action, this method will be invoked. If necessary, this method should roll back or otherwise reverse the tasks or operations that the `perform` method has executed.

  Specified by:
    `failed` in interface `Action`
  Parameters:
    `t` - the error that occurred.

### runFromCmdLine

    public void runFromCmdLine()
                        throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### addListener

    public void addListener(SchemaCreatorListener l)

### removeListener

    public void removeListener(SchemaCreatorListener l)

### fireListenersForActionFinished

    protected void fireListenersForActionFinished(Action action)

### substitute

    public java.lang.String substitute(java.lang.String value)

  Description copied from interface: `Substitutor`
  Subsitutes the parameter value with the returned value.

  Specified by:
    `substitute` in interface `Substitutor`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD